import { Plugins } from './CasketStar.vue';
import { Toolbar } from './components/MToolbar.vue';
import type { Processor } from "unified";
export declare function remarkNoHtml(this: Processor): void;
export declare function getDefaultPlugins(): Plugins;
import { Tool, ToolGroup } from './components/MToolbar.vue';
export { markdown, markdownLanguage, commonmarkLanguage } from '@codemirror/lang-markdown';
export declare const ToolIncrease: Tool;
export declare const ToolDecrease: Tool;
export declare const ToolHorizontal: Tool;
export declare const ToolBold: Tool;
export declare const ToolItalic: Tool;
export declare const ToolStrikethrough: Tool;
export declare const ToolLink: Tool;
export declare const ToolPicture: Tool;
export declare const ToolCode: Tool;
export declare const ToolTable: Tool;
export declare const ToolQuote: Tool;
export declare const ToolUList: Tool;
export declare const ToolOList: Tool;
export declare const ToolTaskList: Tool;
export declare const ToolOnlyEdit: Tool;
export declare const ToolOnlyView: Tool;
export declare const ToolFullScreen: Tool;
export declare const ToolHelp: Tool;
export declare const ToolGroupTitle: ToolGroup;
export declare const ToolGroupInline: ToolGroup;
export declare const ToolGroupInterline: ToolGroup;
export declare const ToolGroupBlock: ToolGroup;
export declare const ToolGroupCasket: ToolGroup;
export declare const ToolGroupHelp: ToolGroup;
export declare function getDefaultToolbarL(): Toolbar;
export declare function getDefaultToolbarR(): Toolbar;
